#---------------------------------------------------------------------------------------------------
# %L                                                                                               -
# chvote-pact                                                                                      -
# %%                                                                                               -
# Copyright (C) 2016 - 2018 République et Canton de Genève                                         -
# %%                                                                                               -
# This program is free software: you can redistribute it and/or modify                             -
# it under the terms of the GNU Affero General Public License as published by                      -
# the Free Software Foundation, either version 3 of the License, or                                -
# (at your option) any later version.                                                              -
#                                                                                                  -
# This program is distributed in the hope that it will be useful,                                  -
# but WITHOUT ANY WARRANTY; without even the implied warranty of                                   -
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                     -
# GNU General Public License for more details.                                                     -
#                                                                                                  -
# You should have received a copy of the GNU Affero General Public License                         -
# along with this program. If not, see <http://www.gnu.org/licenses/>.                             -
# L%                                                                                               -
#---------------------------------------------------------------------------------------------------

apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: pact-backend
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: pact-backend
    spec:
      volumes:
      - name: shared-pv-storage
        persistentVolumeClaim:
          claimName: CLAIM_NAME
      containers:
      - name: pact-backend
        image: registry.gitlab.com/chvote2/web-apps/chvote-pact/pact-back:IMAGE_TAG
        env:
        - name: SPRING_PROFILES_ACTIVE
          value: 'SPRING_PROFILES_ACTIVE_VALUE'
        - name: MB_HOST
          value: 'rabbitmq'
        - name: MB_PORT
          value: '5672'
        - name: MB_USERNAME
          value: 'rabbitmq'
        - name: MB_PASSWORD
          value: 'p4ssW0rd'
        - name: SCHEDULER_HOST_URI
          value: 'http://pact-scheduler:8080'
        - name: JAVA_OPTS
          value: "-Xmx550m"
        - name: CHVOTE_OUTPUT_DIR
          value: "/usr/share/pact"
        - name: CHVOTE_VR_BASE_URL
          value: 'CHVOTE_VR_IDENTIFICATION_URL'
        imagePullPolicy: Always
        ports:
        - containerPort: 8281
          name: pact-back-api
        - containerPort: 8282
          name: pact-back-b2b
        - containerPort: 8888
          name: pact-management
        volumeMounts:
        - mountPath: "/usr/share/pact"
          name: shared-pv-storage
        resources:
          requests:
            memory: "1G"
            cpu: "550m"
      imagePullSecrets:
        - name: registry.gitlab.com
